org.apache.tools.ant.taskdefs.optional.jsp

## Class Jasper41Mangler

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.jsp.Jasper41Mangler

All Implemented Interfaces:
  JspMangler

    public class Jasper41Mangler
    extends java.lang.Object
    implements JspMangler

this class implements the name mangling rules of the jasper in tomcat4.1.x which is likely to remain for some time

See Also:
  "org.apache.jasper.JspCompilationContext"

### Constructor Summary

Constructors
Constructor and Description
`Jasper41Mangler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `mapJspToJavaName(java.io.File jspFile)` map from a jsp file to a java filename; does not do packages
`java.lang.String` `mapPath(java.lang.String path)` taking in the substring representing the path relative to the source dir return a new string representing the destination path

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Jasper41Mangler

    public Jasper41Mangler()

### Method Detail

#### mapJspToJavaName

    public java.lang.String mapJspToJavaName(java.io.File jspFile)

map from a jsp file to a java filename; does not do packages

Specified by:
  `mapJspToJavaName` in interface `JspMangler`
Parameters:
  `jspFile` - file
Returns:
  java filename

#### mapPath

    public java.lang.String mapPath(java.lang.String path)

taking in the substring representing the path relative to the source dir return a new string representing the destination path

Specified by:
  `mapPath` in interface `JspMangler`
Parameters:
  `path` - not used.
Returns:
  null as this is not implemented.
To do: